import { NgModule } from '@angular/core';

import { BooleanValueAccessor } from './stencil-generated/boolean-value-accessor';
import { NumericValueAccessor } from './stencil-generated/number-value-accessor';
import { RadioValueAccessor } from './stencil-generated/radio-value-accessor';
import { SelectValueAccessor } from './stencil-generated/select-value-accessor';
import { TextValueAccessor } from './stencil-generated/text-value-accessor';
import * as Components from './stencil-generated/components';

/**
 * COMPONENTS list autogenerated on prepare.
 */

const COMPONENTS = [
 Components.DigiBarChart,
 Components.DigiButton,
 Components.DigiCalendar,
 Components.DigiCalendarDatepicker,
 Components.DigiCalendarWeekView,
 Components.DigiCard,
 Components.DigiChartLine,
 Components.DigiCode,
 Components.DigiCodeBlock,
 Components.DigiCodeExample,
 Components.DigiDialog,
 Components.DigiExpandableAccordion,
 Components.DigiExpandableFaq,
 Components.DigiExpandableFaqItem,
 Components.DigiFormCategoryFilter,
 Components.DigiFormCheckbox,
 Components.DigiFormErrorList,
 Components.DigiFormFieldset,
 Components.DigiFormFileUpload,
 Components.DigiFormFilter,
 Components.DigiFormInput,
 Components.DigiFormInputSearch,
 Components.DigiFormLabel,
 Components.DigiFormRadiobutton,
 Components.DigiFormRadiogroup,
 Components.DigiFormReceipt,
 Components.DigiFormSelect,
 Components.DigiFormTextarea,
 Components.DigiFormValidationMessage,
 Components.DigiIcon,
 Components.DigiIconAccessibilityDeaf,
 Components.DigiIconAccessibilityUniversal,
 Components.DigiIconArchive,
 Components.DigiIconArchiveOutline,
 Components.DigiIconArrowBack,
 Components.DigiIconArrowDown,
 Components.DigiIconArrowLeft,
 Components.DigiIconArrowRight,
 Components.DigiIconArrowSignIn,
 Components.DigiIconArrowSignOut,
 Components.DigiIconArrowUp,
 Components.DigiIconAt,
 Components.DigiIconBars,
 Components.DigiIconBell,
 Components.DigiIconBellFilled,
 Components.DigiIconBook,
 Components.DigiIconBubble,
 Components.DigiIconBubbleEllipsis,
 Components.DigiIconBuildingOutline,
 Components.DigiIconBuildingSolid,
 Components.DigiIconCalculatorSolid,
 Components.DigiIconCalendar,
 Components.DigiIconCalendarAlt,
 Components.DigiIconCalendarAltAlert,
 Components.DigiIconCaretCircleRight,
 Components.DigiIconCaretDown,
 Components.DigiIconCaretLeft,
 Components.DigiIconCaretRight,
 Components.DigiIconCaretUp,
 Components.DigiIconChart,
 Components.DigiIconChat,
 Components.DigiIconCheck,
 Components.DigiIconCheckCircleRegAlt,
 Components.DigiIconChevronDown,
 Components.DigiIconChevronLeft,
 Components.DigiIconChevronRight,
 Components.DigiIconChevronUp,
 Components.DigiIconClock,
 Components.DigiIconCompressAlt,
 Components.DigiIconComunicationCase,
 Components.DigiIconComunicationFlag,
 Components.DigiIconComunicationGraduate,
 Components.DigiIconComunicationPlay,
 Components.DigiIconCooperation,
 Components.DigiIconCopy,
 Components.DigiIconDangerOutline,
 Components.DigiIconDownload,
 Components.DigiIconDxa,
 Components.DigiIconEdit,
 Components.DigiIconEllipsis,
 Components.DigiIconEnvelope,
 Components.DigiIconEnvelopeFilled,
 Components.DigiIconExclamationCircleFilled,
 Components.DigiIconExclamationTriangle,
 Components.DigiIconExclamationTriangleFilled,
 Components.DigiIconExclamationTriangleWarning,
 Components.DigiIconExpandAlt,
 Components.DigiIconExternalLinkAlt,
 Components.DigiIconEye,
 Components.DigiIconEyeSlash,
 Components.DigiIconFacebookSquare,
 Components.DigiIconFileDocument,
 Components.DigiIconFileExcel,
 Components.DigiIconFilePdf,
 Components.DigiIconFilePowerpoint,
 Components.DigiIconFileWord,
 Components.DigiIconFilm,
 Components.DigiIconFilter,
 Components.DigiIconGlobe,
 Components.DigiIconGlobeFilled,
 Components.DigiIconGoogleTranslate,
 Components.DigiIconHeadphones,
 Components.DigiIconHeart,
 Components.DigiIconHeartSolid,
 Components.DigiIconHistory,
 Components.DigiIconHome,
 Components.DigiIconImage,
 Components.DigiIconInfoCircleSolid,
 Components.DigiIconInstagram,
 Components.DigiIconJobSuggestion,
 Components.DigiIconLanguage,
 Components.DigiIconLanguageOutline,
 Components.DigiIconLattlast,
 Components.DigiIconLicenceBus,
 Components.DigiIconLicenceCar,
 Components.DigiIconLicenceMotorcycle,
 Components.DigiIconLicenceTruck,
 Components.DigiIconLightbulb,
 Components.DigiIconLinkedinIn,
 Components.DigiIconListUl,
 Components.DigiIconLock,
 Components.DigiIconMarker,
 Components.DigiIconMarkerFilled,
 Components.DigiIconMediaCourse,
 Components.DigiIconMediaPodcast,
 Components.DigiIconMicrophone,
 Components.DigiIconMicrophoneOff,
 Components.DigiIconMinus,
 Components.DigiIconNews,
 Components.DigiIconNotificationError,
 Components.DigiIconNotificationInfo,
 Components.DigiIconNotificationSucces,
 Components.DigiIconNotificationWarning,
 Components.DigiIconOpenSource,
 Components.DigiIconPaperclip,
 Components.DigiIconPen,
 Components.DigiIconPhone,
 Components.DigiIconPhoneHangup,
 Components.DigiIconPlus,
 Components.DigiIconPrint,
 Components.DigiIconRedo,
 Components.DigiIconScreensharing,
 Components.DigiIconScreensharingOff,
 Components.DigiIconSearch,
 Components.DigiIconSettings,
 Components.DigiIconShareAlt,
 Components.DigiIconSign,
 Components.DigiIconSlidersH,
 Components.DigiIconSokkandidat,
 Components.DigiIconSort,
 Components.DigiIconSortDown,
 Components.DigiIconSortUp,
 Components.DigiIconSpinner,
 Components.DigiIconStar,
 Components.DigiIconStarReg,
 Components.DigiIconSuitcaseOutline,
 Components.DigiIconSuitcaseSolid,
 Components.DigiIconTable,
 Components.DigiIconToggleOff,
 Components.DigiIconToggleOn,
 Components.DigiIconTranslate,
 Components.DigiIconTrash,
 Components.DigiIconTwitter,
 Components.DigiIconTyckTill,
 Components.DigiIconUnlock,
 Components.DigiIconUpdate,
 Components.DigiIconUpload,
 Components.DigiIconUserAlt,
 Components.DigiIconUsersSolid,
 Components.DigiIconValidationError,
 Components.DigiIconValidationSuccess,
 Components.DigiIconValidationWarning,
 Components.DigiIconVideocamera,
 Components.DigiIconVideocameraOff,
 Components.DigiIconVolume,
 Components.DigiIconWebTv,
 Components.DigiIconWebinar,
 Components.DigiIconX,
 Components.DigiIconXButton,
 Components.DigiIconXButtonOutline,
 Components.DigiIconYoutube,
 Components.DigiInfoCard,
 Components.DigiInfoCardMulti,
 Components.DigiInfoCardMultiContainer,
 Components.DigiLayoutBlock,
 Components.DigiLayoutColumns,
 Components.DigiLayoutContainer,
 Components.DigiLayoutMediaObject,
 Components.DigiLink,
 Components.DigiLinkButton,
 Components.DigiLinkExternal,
 Components.DigiLinkInternal,
 Components.DigiList,
 Components.DigiLoaderSpinner,
 Components.DigiLogo,
 Components.DigiMediaFigure,
 Components.DigiMediaImage,
 Components.DigiNavigationBreadcrumbs,
 Components.DigiNavigationContextMenu,
 Components.DigiNavigationContextMenuItem,
 Components.DigiNavigationPagination,
 Components.DigiNavigationSidebar,
 Components.DigiNavigationSidebarButton,
 Components.DigiNavigationTab,
 Components.DigiNavigationTabs,
 Components.DigiNavigationVerticalMenu,
 Components.DigiNavigationVerticalMenuItem,
 Components.DigiNotificationAlert,
 Components.DigiNotificationErrorPage,
 Components.DigiProgressStep,
 Components.DigiProgressSteps,
 Components.DigiProgressbar,
 Components.DigiQuoteMultiContainer,
 Components.DigiQuoteSingle,
 Components.DigiTable,
 Components.DigiTag,
 Components.DigiTagMedia,
 Components.DigiToolsFeedback,
 Components.DigiToolsFeedbackBanner,
 Components.DigiToolsLanguagepicker,
 Components.DigiTypography,
 Components.DigiTypographyHeadingJumbo,
 Components.DigiTypographyMeta,
 Components.DigiTypographyPreamble,
 Components.DigiTypographyTime,
 Components.DigiUtilBreakpointObserver,
 Components.DigiUtilDetectClickOutside,
 Components.DigiUtilDetectFocusOutside,
 Components.DigiUtilIntersectionObserver,
 Components.DigiUtilKeydownHandler,
 Components.DigiUtilKeyupHandler,
 Components.DigiUtilMutationObserver,
 Components.DigiUtilResizeObserver
];

const VALUEACCESSORS = [
  BooleanValueAccessor,
  NumericValueAccessor,
  RadioValueAccessor,
  SelectValueAccessor,
  TextValueAccessor
];

@NgModule({
  declarations: [COMPONENTS, VALUEACCESSORS],
  exports: [COMPONENTS, VALUEACCESSORS]
})
export class DigiArbetsformedlingenAngularModule {}
